Subject: Re: [PATCH v3 00/11] Fix direct filesystem access in various test files.

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Aug 2021 14:32:24 -0700

Junio C Hamano <[email-masked]> writes:

> "Han-Wen Nienhuys via GitGitGadget" <[email-masked]> writes:
>
>> This fixes a few test failures in the reftable series.
>>
>> Han-Wen Nienhuys (11):
>>   t6050: use git-update-ref rather than filesystem access
>>   t1503: mark symlink test as REFFILES
>>   t6120: use git-update-ref rather than filesystem access
>>   t3320: use git-symbolic-ref rather than filesystem access
>>   t2402: use ref-store test helper to create broken symlink
>>   t1405: use 'git reflog exists' to check reflog existence
>>   t1405: mark test for 'git pack-refs' as REFFILES
>>   t1410: mark test as REFFILES
>>   t7064: use update-ref -d to remove upstream branch
>>   t6500: use "ls -1" to snapshot ref database state
>>   t6001: avoid direct file system access
>
> Thanks.
>
> Unfortunately all of these are already in 'next', so I'll revert the
> merge(s) to eliminate what has been in 'next' and queue this round
> to 'seen', hoping that we can merge the new one back to 'next'
> soonish.

Sorry, but I changed my mind.  On the day for -rc0, I do not have
time to deal with this right now, so I'll keep a bookmark on this
round for now, but will keep what has been on 'next' there for now.

Will revisit this new round of patches later.

Thanks.